import keychain
import sys

'''
Either lists all the services in the Keychain or saves a Service, Account and Password
in the Keychain. Arguments:

l : List of services.
s : Saves new password.

'''

try:
	
	if sys.argv[1] == 'l':
		print (keychain.get_services())
	elif sys.argv[1] == 's':
		service = input('Service Name: ')
		account = input('Account Name: ')
		while True:
			psswd1 = input('Password: ')
			psswd2 = input('Re-enter Password: ')
			if psswd1==psswd2:
				psswd = psswd1
				break
			print('Passwords Don\'t Match. Try Again...')
			
		keychain.set_password(service, account, psswd)
		print('Password saved in the Keychain')
	
	else:
		print ('Wrong argument entered. Try again.')

except IndexError:
	print ('Arguments missing: \n\'l\' for listing all services and\n\'s\' to save a new entry.')
	


